Bug 1990113 - Multus whereabouts assigns duplicate IP addresses to pods when have large number of replicas
Summary: Multus whereabouts assigns duplicate IP addresses to pods when have large num...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.8.z
Assignee: Douglas Smith
QA Contact: Ying Wang
URL:
Whiteboard: Telco:Networking
Depends On: 1990115
Blocks: 1965268
TreeView+ depends on / blocked
 
Reported: 2021-08-04 19:17 UTC by Douglas Smith
Modified: 2021-09-21 08:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1965268
: 1990115 (view as bug list)
Environment:
Last Closed: 2021-09-21 08:02:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift whereabouts-cni pull 63 0 None None None 2021-08-24 18:28:45 UTC
Red Hat Product Errata RHBA-2021:3511 0 None None None 2021-09-21 08:02:24 UTC

Comment 1 Ying Wang 2021-09-08 10:25:50 UTC
Created ovn cluster on cluster-bot using openshift/whereabouts-cni#63 and openshift/cluster-network-operator#1185.
Created 200 pods and attached Multus whereabouts network, no duplicate ip was found.



% oc version
Client Version: 4.9.0-0.nightly-2021-08-18-144658
Server Version: 4.8.0-0.ci.test-2021-09-08-081226-ci-ln-ftrcfi2-latest
Kubernetes Version: v1.21.1-1398+98073871f173ba-dirty

Comment 3 Weibin Liang 2021-09-10 17:10:57 UTC
According to test result from comment 1, mark this bug to be verified

Comment 6 errata-xmlrpc 2021-09-21 08:02:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.12 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3511


Note You need to log in before you can comment on or make changes to this bug.